This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 840290 - Arduino fails to start when java-1.5.0-gcj-devel is installed
Arduino fails to start when java-1.5.0-gcj-devel is installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: arduino (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Oliver
Fedora Extras Quality Assurance
:
: 926950 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 08:17 EDT by Peter Oliver
Modified: 2013-12-21 11:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 11:47:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Oliver 2012-07-15 08:17:12 EDT
arduino-1.0-4.fc17
java-1.5.0-gcj-devel.i686 0:1.5.0.0-39.fc17                                   

$ arduino
cannot initialize Look and Feel: com.sun.java.swing.plaf.gtk.GTKLookAndFeel
error: java.lang.ClassNotFoundException: com.sun.java.swing.plaf.gtk.GTKLookAndFeel not found in gnu.gcj.runtime.SystemClassLoader{urls=[file:/usr/share/java/ecj.jar,file:/usr/share/java/jna.jar,file:/usr/share/java/RXTXcomm.jar,file:./,file:/usr/share/arduino/core.jar,file:/usr/share/arduino/pde.jar], parent=gnu.gcj.runtime.ExtensionClassLoader{urls=[], parent=null}}
java.lang.ClassNotFoundException: com.sun.java.swing.plaf.gtk.GTKLookAndFeel not found in gnu.gcj.runtime.SystemClassLoader{urls=[file:/usr/share/java/ecj.jar,file:/usr/share/java/jna.jar,file:/usr/share/java/RXTXcomm.jar,file:./,file:/usr/share/arduino/core.jar,file:/usr/share/arduino/pde.jar], parent=gnu.gcj.runtime.ExtensionClassLoader{urls=[], parent=null}}
   at java.net.URLClassLoader.findClass(libgcj.so.13)
   at gnu.gcj.runtime.SystemClassLoader.findClass(libgcj.so.13)
   at java.lang.ClassLoader.loadClass(libgcj.so.13)
   at java.lang.ClassLoader.loadClass(libgcj.so.13)
   at java.lang.Class.forName(libgcj.so.13)
   at javax.swing.UIManager.setLookAndFeel(libgcj.so.13)
   at javax.swing.UIManager.<clinit>(libgcj.so.13)
   at java.lang.Class.initializeClass(libgcj.so.13)
   at javax.swing.UIManager.getDefaults(libgcj.so.13)
   at javax.swing.JFrame.frameInit(libgcj.so.13)
   at javax.swing.JFrame.<init>(libgcj.so.13)
   at processing.app.Editor.<init>(Editor.java:153)
   at processing.app.Base.handleOpen(Base.java:700)
   at processing.app.Base.handleOpen(Base.java:665)
   at processing.app.Base.handleNew(Base.java:561)
   at processing.app.Base.<init>(Base.java:301)
   at processing.app.Base.main(Base.java:190)
falling back to Metal Look and Feel
WARNING:  RXTX Version mismatch
        Jar version = RXTX-2.2
        native lib Version = RXTX-2.2pre2
Exception during event dispatch:
xception during event dispatch:Exception in thread "main" atch:java.lang.ArithmeticException: / by zero
   at processing.app.syntax.JEditTextArea.recalculateVisibleLines(JEditTextArea.java:357)
   at processing.app.syntax.TextAreaPainter.setFont(TextAreaPainter.java:378)
   at processing.app.Editor.applyPreferences(Editor.java:459)
   at processing.app.Editor.<init>(Editor.java:307)
   at processing.app.Base.handleOpen(Base.java:700)
   at processing.app.Base.handleOpen(Base.java:665)
   at processing.app.Base.handleNew(Base.java:561)
   at processing.app.Base.<init>(Base.java:301)
   at processing.app.Base.main(Base.java:190)
:561)
   at processing.app.B
Comment 1 Peter Oliver 2013-03-28 15:04:35 EDT
*** Bug 926950 has been marked as a duplicate of this bug. ***
Comment 2 Koen 2013-06-08 05:31:05 EDT
Installing arduino-1.0.5-1.fc18 from Koji http://koji.fedoraproject.org/koji/buildinfo?buildID=421265 seems to solve the problem.
Comment 3 Koen 2013-06-08 05:33:41 EDT
(In reply to Koen from comment #2)
> Installing arduino-1.0.5-1.fc18 from Koji
> http://koji.fedoraproject.org/koji/buildinfo?buildID=421265 seems to solve
> the problem.

Made an error.  Doesn't work.
Comment 4 Peter Oliver 2013-09-10 15:03:05 EDT
Can't reproduce in Fedora 19 with arduino-1.0.5-1.fc19.noarch and java-1.5.0-gcj-devel-1.5.0.0-43.fc19.i686.
Comment 5 Fedora End Of Life 2013-12-21 03:39:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.